%define module_name EAV-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libidn-devel libidn2-devel libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/PkgConfig.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.7.8
Release: alt2
Summary: Email Address Validation Library
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TV/TVV/%{module_name}-%{version}.tar.gz

%description
The purpose of this module is a validation of the specified
Email Address.

The core part of the module is written in C and can be
found in the libeav directory.

The module conforms to:

=over 4

=item *

RFC 822
- allows control characters.

=item *

RFC 5321
- does not allow any control characters.

=item *

RFC 5322
- allows some control characters and not allows SPACE and TAB
characters without quoted-pairs.

=item *

RFC 6531
- allows Internationalized Email Addresses encoded in UTF-8.
See also RFC 3629).
The RFC 6531 is based on the rules of the RFC 5321.

=back

You may change the behavior of the RFC 6531 mode when
building the module and enable support of the
RFC 20 and
RFC 5322.
By default, neither RFC 5322 nor RFC 20 is enabled.

The RFC 20 disallows the next characters within local-part:
``', `#', `^', `{', `}', `~' and `|'.
They must be in double-quotes.

The default behavior of the module also includes
the check of:

=over 4

=item *

Special and Reserved domains as mentioned
in RFC 6761

=item *

FQDN - if the domain contains only alias and it is not
a special or reserved domain, then the result is negative,
that is, such an email address is considered as invalid.

=item *

TLD - the module checks that domain is a Top Level Domain (TLD).
The list of TLDs has been taken from IANA's
Root Zone Database.
See the the section on "TLD INFORMATION" section below for details.

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE README.cygwin examples
%perl_vendor_archlib/E*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.7.8-alt2
- rebuild with perl 5.38

* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 0.7.8-alt1
- updated by package builder

* Wed Jun 07 2023 Igor Vlasenko <viy@altlinux.org> 0.7.7-alt1
- updated by package builder

* Tue Mar 28 2023 Igor Vlasenko <viy@altlinux.org> 0.7.6-alt1
- updated by package builder

* Fri Mar 10 2023 Igor Vlasenko <viy@altlinux.org> 0.7.5-alt1
- updated by package builder

* Mon Dec 19 2022 Igor Vlasenko <viy@altlinux.org> 0.7.4-alt1
- updated by package builder

* Tue Oct 18 2022 Igor Vlasenko <viy@altlinux.org> 0.7.2-alt1
- updated by package builder

* Wed Oct 12 2022 Igor Vlasenko <viy@altlinux.org> 0.7.1-alt1
- updated by package builder

* Thu Jul 21 2022 Igor Vlasenko <viy@altlinux.org> 0.6.8-alt1
- updated by package builder

* Sun Dec 05 2021 Igor Vlasenko <viy@altlinux.org> 0.6.6-alt1
- updated by package builder

* Wed Nov 03 2021 Igor Vlasenko <viy@altlinux.ru> 0.6.5-alt1
- updated by package builder

* Fri Oct 29 2021 Igor Vlasenko <viy@altlinux.ru> 0.6.4-alt1
- updated by package builder

* Thu Jul 01 2021 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.5.6-alt2
- rebuild with perl 5.34.0

* Mon Apr 26 2021 Igor Vlasenko <viy@altlinux.ru> 0.5.6-alt1
- updated by package builder

* Thu Feb 18 2021 Igor Vlasenko <viy@altlinux.ru> 0.5.5-alt1
- updated by package builder

* Tue Feb 16 2021 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1
- updated by package builder

* Mon Nov 30 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.3-alt1
- updated by package builder

* Sun Nov 22 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.2-alt1
- updated by package builder

* Sun Nov 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt2
- rebuild with perl 5.30

* Thu Sep 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1
- updated by package builder

* Fri Jul 31 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.11-alt1
- updated by package builder

* Wed Jul 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.10-alt1
- updated by package builder

* Sun Jun 28 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.9-alt1
- updated by package builder

* Thu Jun 04 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.8-alt1
- updated by package builder

* Tue Apr 14 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.6-alt1
- updated by package builder

* Mon Apr 06 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.5-alt1
- updated by package builder

* Sat Mar 28 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.4-alt1
- updated by package builder

* Thu Mar 26 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.3-alt1
- initial import by package builder

